- [HTTP request](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1beta/projects.locations.services/startMigration#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1beta/projects.locations.services/startMigration#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1beta/projects.locations.services/startMigration#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1beta/projects.locations.services/startMigration#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1beta/projects.locations.services/startMigration#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1beta/projects.locations.services/startMigration#body.aspect)
- [Examples](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1beta/projects.locations.services/startMigration#examples)
- [Try it!](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1beta/projects.locations.services/startMigration#try-it)

Starts the Managed Migration process.

### HTTP request

`POST https://metastore.googleapis.com/v1beta/{service}:startMigration`

### Path parameters

| Parameters ||
|---|---|
| `service` | `string` Required. The relative resource name of the metastore service to start migrating to, in the following format: `projects/{projectId}/locations/{locationId}/services/{serviceId}`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `service`: - `metastore.migrations.start` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "migrationExecution": { object (`https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1beta/projects.locations.services.migrationExecutions#MigrationExecution`) }, "migrationExecutionId": string, "requestId": string } ``` |

| Fields ||
|---|---|
| `migrationExecution` | ``object (`https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1beta/projects.locations.services.migrationExecutions#MigrationExecution`)`` Required. The configuration details for the migration. |
| `migrationExecutionId` | `string` Optional. The ID to use for the migration execution, which will become the final component of the migration execution's resource name. If not specified, a UUID will be generated. This value must be between 2 and 63 characters long inclusive, begin with a letter, end with a letter or number, and valid characters are \[a-z0-9-\]. |
| `requestId` | `string` Optional. A request ID. Specify a unique request ID to allow the server to ignore the request if it has completed. The server will ignore subsequent requests that provide a duplicate request ID for at least 60 minutes after the first request. For example, if an initial request times out, followed by another request with the same request ID, the server ignores the second request to prevent the creation of duplicate commitments. The request ID must be a valid [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier#Format) A zero UUID (00000000-0000-0000-0000-000000000000) is not supported. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).